module Backrub
  module Store
    class Base
      def backlog(channel, count)
        raise NotImplementedError
      end

      def publish(channel, message)
        raise NotImplementedError
      end

      def subscribe(*channel)
        raise NotImplementedError
      end
    end
  end
end
